/*******************************************************************************
* volume Name: Pin_SDCLK.h  
* Version 2.20
*
* Description:
*  This volume contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this volume only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this volume was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_SDCLK_H) /* Pins Pin_SDCLK_H */
#define CY_PINS_Pin_SDCLK_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_SDCLK_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Pin_SDCLK__PORT == 15 && ((Pin_SDCLK__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Pin_SDCLK_Write(uint8 value);
void    Pin_SDCLK_SetDriveMode(uint8 mode);
uint8   Pin_SDCLK_ReadDataReg(void);
uint8   Pin_SDCLK_Read(void);
void    Pin_SDCLK_SetInterruptMode(uint16 position, uint16 mode);
uint8   Pin_SDCLK_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Pin_SDCLK_SetDriveMode() function.
     *  @{
     */
        #define Pin_SDCLK_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Pin_SDCLK_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Pin_SDCLK_DM_RES_UP          PIN_DM_RES_UP
        #define Pin_SDCLK_DM_RES_DWN         PIN_DM_RES_DWN
        #define Pin_SDCLK_DM_OD_LO           PIN_DM_OD_LO
        #define Pin_SDCLK_DM_OD_HI           PIN_DM_OD_HI
        #define Pin_SDCLK_DM_STRONG          PIN_DM_STRONG
        #define Pin_SDCLK_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Pin_SDCLK_MASK               Pin_SDCLK__MASK
#define Pin_SDCLK_SHIFT              Pin_SDCLK__SHIFT
#define Pin_SDCLK_WIDTH              1u

/* Interrupt constants */
#if defined(Pin_SDCLK__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Pin_SDCLK_SetInterruptMode() function.
     *  @{
     */
        #define Pin_SDCLK_INTR_NONE      (uint16)(0x0000u)
        #define Pin_SDCLK_INTR_RISING    (uint16)(0x0001u)
        #define Pin_SDCLK_INTR_FALLING   (uint16)(0x0002u)
        #define Pin_SDCLK_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Pin_SDCLK_INTR_MASK      (0x01u) 
#endif /* (Pin_SDCLK__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_SDCLK_PS                     (* (reg8 *) Pin_SDCLK__PS)
/* Data Register */
#define Pin_SDCLK_DR                     (* (reg8 *) Pin_SDCLK__DR)
/* Port Number */
#define Pin_SDCLK_PRT_NUM                (* (reg8 *) Pin_SDCLK__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_SDCLK_AG                     (* (reg8 *) Pin_SDCLK__AG)                       
/* Analog MUX bux enable */
#define Pin_SDCLK_AMUX                   (* (reg8 *) Pin_SDCLK__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_SDCLK_BIE                    (* (reg8 *) Pin_SDCLK__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_SDCLK_BIT_MASK               (* (reg8 *) Pin_SDCLK__BIT_MASK)
/* Bypass Enable */
#define Pin_SDCLK_BYP                    (* (reg8 *) Pin_SDCLK__BYP)
/* Port wide control signals */                                                   
#define Pin_SDCLK_CTL                    (* (reg8 *) Pin_SDCLK__CTL)
/* Drive Modes */
#define Pin_SDCLK_DM0                    (* (reg8 *) Pin_SDCLK__DM0) 
#define Pin_SDCLK_DM1                    (* (reg8 *) Pin_SDCLK__DM1)
#define Pin_SDCLK_DM2                    (* (reg8 *) Pin_SDCLK__DM2) 
/* Input Buffer Disable Override */
#define Pin_SDCLK_INP_DIS                (* (reg8 *) Pin_SDCLK__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_SDCLK_LCD_COM_SEG            (* (reg8 *) Pin_SDCLK__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_SDCLK_LCD_EN                 (* (reg8 *) Pin_SDCLK__LCD_EN)
/* Slew Rate Control */
#define Pin_SDCLK_SLW                    (* (reg8 *) Pin_SDCLK__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_SDCLK_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_SDCLK__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_SDCLK_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_SDCLK__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_SDCLK_PRTDSI__OE_SEL0        (* (reg8 *) Pin_SDCLK__PRTDSI__OE_SEL0) 
#define Pin_SDCLK_PRTDSI__OE_SEL1        (* (reg8 *) Pin_SDCLK__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_SDCLK_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_SDCLK__PRTDSI__OUT_SEL0) 
#define Pin_SDCLK_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_SDCLK__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_SDCLK_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_SDCLK__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Pin_SDCLK__SIO_CFG)
    #define Pin_SDCLK_SIO_HYST_EN        (* (reg8 *) Pin_SDCLK__SIO_HYST_EN)
    #define Pin_SDCLK_SIO_REG_HIFREQ     (* (reg8 *) Pin_SDCLK__SIO_REG_HIFREQ)
    #define Pin_SDCLK_SIO_CFG            (* (reg8 *) Pin_SDCLK__SIO_CFG)
    #define Pin_SDCLK_SIO_DIFF           (* (reg8 *) Pin_SDCLK__SIO_DIFF)
#endif /* (Pin_SDCLK__SIO_CFG) */

/* Interrupt Registers */
#if defined(Pin_SDCLK__INTSTAT)
    #define Pin_SDCLK_INTSTAT            (* (reg8 *) Pin_SDCLK__INTSTAT)
    #define Pin_SDCLK_SNAP               (* (reg8 *) Pin_SDCLK__SNAP)
    
	#define Pin_SDCLK_0_INTTYPE_REG 		(* (reg8 *) Pin_SDCLK__0__INTTYPE)
#endif /* (Pin_SDCLK__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Pin_SDCLK_H */


/* [] END OF volume */
