/*******************************************************************************
* volume Name: Pin_SS.h  
* Version 2.20
*
* Description:
*  This volume contains Pin function prototypes and register defines
*
* Note:
*
********************************************************************************
* Copyright 2008-2015, Cypress Semiconductor Corporation.  All rights reserved.
* You may use this volume only in accordance with the license, terms, conditions, 
* disclaimers, and limitations in the end user license agreement accompanying 
* the software package with which this volume was provided.
*******************************************************************************/

#if !defined(CY_PINS_Pin_SS_H) /* Pins Pin_SS_H */
#define CY_PINS_Pin_SS_H

#include "cytypes.h"
#include "cyfitter.h"
#include "cypins.h"
#include "Pin_SS_aliases.h"

/* APIs are not generated for P15[7:6] */
#if !(CY_PSOC5A &&\
	 Pin_SS__PORT == 15 && ((Pin_SS__MASK & 0xC0) != 0))


/***************************************
*        Function Prototypes             
***************************************/    

/**
* \addtogroup group_general
* @{
*/
void    Pin_SS_Write(uint8 value);
void    Pin_SS_SetDriveMode(uint8 mode);
uint8   Pin_SS_ReadDataReg(void);
uint8   Pin_SS_Read(void);
void    Pin_SS_SetInterruptMode(uint16 position, uint16 mode);
uint8   Pin_SS_ClearInterrupt(void);
/** @} general */

/***************************************
*           API Constants        
***************************************/
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup driveMode Drive mode constants
     * \brief Constants to be passed as "mode" parameter in the Pin_SS_SetDriveMode() function.
     *  @{
     */
        #define Pin_SS_DM_ALG_HIZ         PIN_DM_ALG_HIZ
        #define Pin_SS_DM_DIG_HIZ         PIN_DM_DIG_HIZ
        #define Pin_SS_DM_RES_UP          PIN_DM_RES_UP
        #define Pin_SS_DM_RES_DWN         PIN_DM_RES_DWN
        #define Pin_SS_DM_OD_LO           PIN_DM_OD_LO
        #define Pin_SS_DM_OD_HI           PIN_DM_OD_HI
        #define Pin_SS_DM_STRONG          PIN_DM_STRONG
        #define Pin_SS_DM_RES_UPDWN       PIN_DM_RES_UPDWN
    /** @} driveMode */
/** @} group_constants */
    
/* Digital Port Constants */
#define Pin_SS_MASK               Pin_SS__MASK
#define Pin_SS_SHIFT              Pin_SS__SHIFT
#define Pin_SS_WIDTH              1u

/* Interrupt constants */
#if defined(Pin_SS__INTSTAT)
/**
* \addtogroup group_constants
* @{
*/
    /** \addtogroup intrMode Interrupt constants
     * \brief Constants to be passed as "mode" parameter in Pin_SS_SetInterruptMode() function.
     *  @{
     */
        #define Pin_SS_INTR_NONE      (uint16)(0x0000u)
        #define Pin_SS_INTR_RISING    (uint16)(0x0001u)
        #define Pin_SS_INTR_FALLING   (uint16)(0x0002u)
        #define Pin_SS_INTR_BOTH      (uint16)(0x0003u) 
    /** @} intrMode */
/** @} group_constants */

    #define Pin_SS_INTR_MASK      (0x01u) 
#endif /* (Pin_SS__INTSTAT) */


/***************************************
*             Registers        
***************************************/

/* Main Port Registers */
/* Pin State */
#define Pin_SS_PS                     (* (reg8 *) Pin_SS__PS)
/* Data Register */
#define Pin_SS_DR                     (* (reg8 *) Pin_SS__DR)
/* Port Number */
#define Pin_SS_PRT_NUM                (* (reg8 *) Pin_SS__PRT) 
/* Connect to Analog Globals */                                                  
#define Pin_SS_AG                     (* (reg8 *) Pin_SS__AG)                       
/* Analog MUX bux enable */
#define Pin_SS_AMUX                   (* (reg8 *) Pin_SS__AMUX) 
/* Bidirectional Enable */                                                        
#define Pin_SS_BIE                    (* (reg8 *) Pin_SS__BIE)
/* Bit-mask for Aliased Register Access */
#define Pin_SS_BIT_MASK               (* (reg8 *) Pin_SS__BIT_MASK)
/* Bypass Enable */
#define Pin_SS_BYP                    (* (reg8 *) Pin_SS__BYP)
/* Port wide control signals */                                                   
#define Pin_SS_CTL                    (* (reg8 *) Pin_SS__CTL)
/* Drive Modes */
#define Pin_SS_DM0                    (* (reg8 *) Pin_SS__DM0) 
#define Pin_SS_DM1                    (* (reg8 *) Pin_SS__DM1)
#define Pin_SS_DM2                    (* (reg8 *) Pin_SS__DM2) 
/* Input Buffer Disable Override */
#define Pin_SS_INP_DIS                (* (reg8 *) Pin_SS__INP_DIS)
/* LCD Common or Segment Drive */
#define Pin_SS_LCD_COM_SEG            (* (reg8 *) Pin_SS__LCD_COM_SEG)
/* Enable Segment LCD */
#define Pin_SS_LCD_EN                 (* (reg8 *) Pin_SS__LCD_EN)
/* Slew Rate Control */
#define Pin_SS_SLW                    (* (reg8 *) Pin_SS__SLW)

/* DSI Port Registers */
/* Global DSI Select Register */
#define Pin_SS_PRTDSI__CAPS_SEL       (* (reg8 *) Pin_SS__PRTDSI__CAPS_SEL) 
/* Double Sync Enable */
#define Pin_SS_PRTDSI__DBL_SYNC_IN    (* (reg8 *) Pin_SS__PRTDSI__DBL_SYNC_IN) 
/* Output Enable Select Drive Strength */
#define Pin_SS_PRTDSI__OE_SEL0        (* (reg8 *) Pin_SS__PRTDSI__OE_SEL0) 
#define Pin_SS_PRTDSI__OE_SEL1        (* (reg8 *) Pin_SS__PRTDSI__OE_SEL1) 
/* Port Pin Output Select Registers */
#define Pin_SS_PRTDSI__OUT_SEL0       (* (reg8 *) Pin_SS__PRTDSI__OUT_SEL0) 
#define Pin_SS_PRTDSI__OUT_SEL1       (* (reg8 *) Pin_SS__PRTDSI__OUT_SEL1) 
/* Sync Output Enable Registers */
#define Pin_SS_PRTDSI__SYNC_OUT       (* (reg8 *) Pin_SS__PRTDSI__SYNC_OUT) 

/* SIO registers */
#if defined(Pin_SS__SIO_CFG)
    #define Pin_SS_SIO_HYST_EN        (* (reg8 *) Pin_SS__SIO_HYST_EN)
    #define Pin_SS_SIO_REG_HIFREQ     (* (reg8 *) Pin_SS__SIO_REG_HIFREQ)
    #define Pin_SS_SIO_CFG            (* (reg8 *) Pin_SS__SIO_CFG)
    #define Pin_SS_SIO_DIFF           (* (reg8 *) Pin_SS__SIO_DIFF)
#endif /* (Pin_SS__SIO_CFG) */

/* Interrupt Registers */
#if defined(Pin_SS__INTSTAT)
    #define Pin_SS_INTSTAT            (* (reg8 *) Pin_SS__INTSTAT)
    #define Pin_SS_SNAP               (* (reg8 *) Pin_SS__SNAP)
    
	#define Pin_SS_0_INTTYPE_REG 		(* (reg8 *) Pin_SS__0__INTTYPE)
#endif /* (Pin_SS__INTSTAT) */

#endif /* CY_PSOC5A... */

#endif /*  CY_PINS_Pin_SS_H */


/* [] END OF volume */
